package com.atguigu.ssyx.user.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 团长表
 * </p>
 *
 * @author bunny
 * @since 2024-04-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class Leader implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 名称
     */
    private String name;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 身份证
     */
    private String idNo;

    /**
     * 身份证图片路径
     */
    private String idNoUrl1;

    /**
     * 身份证图片路径
     */
    private String idNoUrl2;

    /**
     * 提货点名称
     */
    private String takeName;

    /**
     * 提货点类型；1->宝妈；2->便利店店主；3->快递站点；4->物业中心
     */
    private String takeType;

    /**
     * 省
     */
    private Long province;

    /**
     * 城市
     */
    private Long city;

    /**
     * 区域code
     */
    private Long district;

    /**
     * 详细地址
     */
    private String detailAddress;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 有无门店
     */
    private String haveStore;

    /**
     * 门店照片
     */
    private String storePath;

    /**
     * 营业时间
     */
    private String workTime;

    /**
     * 营业状态
     */
    private Integer workStatus;

    /**
     * 审核状态（0：提交审核 1：审核通过 -1：审核未通过）
     */
    private Integer checkStatus;

    /**
     * 审核时间
     */
    private LocalDateTime checkTime;

    /**
     * 审核用户
     */
    private String checkUser;

    /**
     * 审核内容
     */
    private String checkContent;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除标记（0:不可用 1:可用）
     */
    private Integer isDeleted;


}
